python26-psycopg2-2.0.14-2.el5.x86_64.rpm


Advertisement

Description

python26-psycopg2 - A PostgreSQL database adapter for Python

Distribution: CentOS 5
Repository: PUIAS Computational x86_64
Package name: python26-psycopg2
Package version: 2.0.14
Package release: 2.el5
Package architecture: x86_64
Package type: rpm
Installed size: 364.06 KB
Download size: 113.09 KB
Official Mirror: springdale.math.ias.edu
psycopg is a PostgreSQL database adapter for the Python programming language (just like pygresql and popy.) It was written from scratch with the aim of being very small and fast, and stable as a rock. The main advantages of psycopg are that it supports the full Python DBAPI-2.0 and being thread safe at level 2.

Alternatives

Provides

  • _psycopg.so()(64bit)
  • python26-psycopg2 = 2.0.14-2.el5

    Install Howto

    1. Create the repository config file /etc/yum.repos.d/puias-computational.repo:
      [puias-computational]
      name=PUIAS Computational
      baseurl=http://springdale.math.ias.edu/data/puias/computational/5/x86_64/
      enabled=1
      gpgcheck=0
      
    2. Install python26-psycopg2 rpm package:
      # yum install python26-psycopg2

    Files

    • /usr/lib64/python2.6/site-packages/psycopg2-2.0.14-py2.6.egg-info
    • /usr/lib64/python2.6/site-packages/psycopg2/__init__.py
    • /usr/lib64/python2.6/site-packages/psycopg2/__init__.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/__init__.pyo
    • /usr/lib64/python2.6/site-packages/psycopg2/_psycopg.so
    • /usr/lib64/python2.6/site-packages/psycopg2/errorcodes.py
    • /usr/lib64/python2.6/site-packages/psycopg2/errorcodes.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/errorcodes.pyo
    • /usr/lib64/python2.6/site-packages/psycopg2/extensions.py
    • /usr/lib64/python2.6/site-packages/psycopg2/extensions.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/extensions.pyo
    • /usr/lib64/python2.6/site-packages/psycopg2/extras.py
    • /usr/lib64/python2.6/site-packages/psycopg2/extras.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/extras.pyo
    • /usr/lib64/python2.6/site-packages/psycopg2/pool.py
    • /usr/lib64/python2.6/site-packages/psycopg2/pool.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/pool.pyo
    • /usr/lib64/python2.6/site-packages/psycopg2/psycopg1.py
    • /usr/lib64/python2.6/site-packages/psycopg2/psycopg1.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/psycopg1.pyo
    • /usr/lib64/python2.6/site-packages/psycopg2/tz.py
    • /usr/lib64/python2.6/site-packages/psycopg2/tz.pyc
    • /usr/lib64/python2.6/site-packages/psycopg2/tz.pyo
    • /usr/share/doc/python26-psycopg2-2.0.14/AUTHORS
    • /usr/share/doc/python26-psycopg2-2.0.14/ChangeLog
    • /usr/share/doc/python26-psycopg2-2.0.14/LICENSE
    • /usr/share/doc/python26-psycopg2-2.0.14/README

    Changelog

    2012-09-14 - Tom Lane <tgl@redhat.com> 2.0.14-2 - Fix reference-leak issues in typecast.c Resolves: #843723

    2012-02-02 - Tom Lane <tgl@redhat.com> 2.0.14-1 - Update to 2.0.14 to get the last few upstream fixes in this release series, and to not be behind what MRG has shipped for RHEL-5 - Fix refcount leaks in _mogrify() Resolves: #765998

    2011-07-08 - Tom Lane <tgl@redhat.com> 2.0.13-3 - Fix failure to increment the refcount on an object during COPY operations Resolves: #711095

    2010-01-22 - Tom Lane <tgl@redhat.com> 2.0.13-2 - Fix rpmlint complaints: remove unneeded explicit Requires:, use Conflicts: instead of bogus Obsoletes: to indicate lack of zope subpackage

    2009-10-18 - Devrim GUNDUZ <devrim@gunduz.org> - 2.0.13-1 - Update to 2.0.13

    2009-08-14 - Devrim GUNDUZ <devrim@gunduz.org> - 2.0.12-1 - Update to 2.0.12

    2009-07-26 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.11-2 - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

    2009-05-19 - Devrim GUNDUZ <devrim@gunduz.org> - 2.0.11-1 - Update to 2.0.11

    2009-04-21 - Devrim GUNDUZ <devrim@gunduz.org> - 2.0.10-1 - Update to 2.0.10

    2009-03-20 - Devrim GUNDUZ <devrim@gunduz.org> - 2.0.9-1 - Update to 2.0.9

    Advertisement
    Advertisement